> ## Documentation Index
> Fetch the complete documentation index at: https://docs.konvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Attributions

> Get attributions by filters



## OpenAPI

````yaml GET /attributions
openapi: 3.0.1
info:
  title: Konvo API
  description: Access to your contact, broadcast, attribution & clicks data
  license:
    name: MIT
  version: 0.0.1
servers:
  - url: https://api.konvoai.com
security:
  - apiKeyAuth: []
paths:
  /attributions:
    get:
      description: Get attributions by filters
      parameters:
        - name: page
          in: query
          description: Pointer for the current page of the paginated query
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The maximum number of results to return, maximum is 200
          schema:
            type: integer
            format: int32
        - name: fields
          in: query
          description: >-
            Comma separated list of fields you want to retrieve from the
            contact. Omitting this will return all fields. Using this param will
            speed up requests
          schema:
            type: string
        - name: contact
          in: query
          description: Fetch attributions specifically for one contact by ID
          schema:
            type: string
        - name: created_at_min
          in: query
          description: Filter by attributions created after a certain date
          schema:
            type: string
        - name: created_at_max
          in: query
          description: Filter by attributions created before a certain date
          schema:
            type: string
        - name: type
          in: query
          description: Query by type, with the options MAIN or ASSIST
          schema:
            type: string
        - name: origin
          in: query
          description: >-
            Filter by origin within Konvo, with the options being: broadcast,
            ai, flow, automation, app
          schema:
            type: string
        - name: originId
          in: query
          description: >-
            Query by specific origin, where the ID can be from any of the above
            'origin' types
          schema:
            type: string
        - name: originIds
          in: query
          description: Comma separated list of origin IDs to include in the query
          schema:
            type: string
      responses:
        '200':
          description: Get attributions response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttributionResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AttributionResponse:
      type: object
      properties:
        count:
          description: Total count of the request
          type: integer
        result:
          description: Resulting query
          type: array
          items:
            $ref: '#/components/schemas/Attribution'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Attribution:
      properties:
        id:
          type: string
          example: be6ed223-19c3-47db-8635-794f856e1956
        origin:
          type: string
          example: BROADCAST
        originId:
          type: string
          example: be6ed223-19c3-47db-8635-794f856e1956
        externalUserId:
          type: string
          example: '15552345678'
        orderTotal:
          type: number
          example: 69995
        type:
          type: string
          example: MAIN
        createdAt:
          type: string
          example: '2024-08-02T14:58:55.728Z'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````